diff --git a/docs/README.md b/docs/README.md
index c7681a5e..89720887 100644
--- a/docs/README.md
+++ b/docs/README.md
@@ -22,8 +22,7 @@ Many thanks to *Kai Krakow* who **sponsored** me a Xbox One Wireless Controller
 * Supports multiple Gamepads at the same time (not even supported in Windows)
 * Offers a consistent mapping, even if the Gamepad was paired to Windows/Xbox before
 * Working Select, Start, Mode buttons
-* Correct Axis Range (signed, important for e.g. RPCS3)
-* Supports Battery Level Indication (including the Play \`n Charge Kit)  
+* Supports Battery Level Indication (including the Play \`n Charge Kit)
   ![Battery Level Indication](./img/battery_support.png)
 * Supports faking the Input Device Version in order to prevent SDL from trying to fix an unbroken mapping.
 * Easy Installation
diff --git a/hid-xpadneo/src/hid-xpadneo.c b/hid-xpadneo/src/hid-xpadneo.c
index 281aba21..6d11815c 100644
--- a/hid-xpadneo/src/hid-xpadneo.c
+++ b/hid-xpadneo/src/hid-xpadneo.c
@@ -1026,25 +1026,11 @@ static int xpadneo_input_configured(struct hid_device *hdev,
 		}
 	}
 
-	// The HID device descriptor defines a range from 0 to 65535 for all
-	// absolute axis (like ABS_X), this is in contrary to what the linux
-	// gamepad specification defines [–32.768; 32.767].
-	// Therefore, we have to set the min, max, fuzz and flat values by hand:
-
-	input_set_abs_params(xdata->idev, ABS_X, -32768, 32767, 255, 4095);
-	input_set_abs_params(xdata->idev, ABS_Y, -32768, 32767, 255, 4095);
-
-	input_set_abs_params(xdata->idev, ABS_RX, -32768, 32767, 255, 4095);
-	input_set_abs_params(xdata->idev, ABS_RY, -32768, 32767, 255, 4095);
-
-	if (param_combined_z_axis)
-		input_set_abs_params(xdata->idev, ABS_Z, -1024, 1023, 3, 63);
-
-	// furthermore, we need to translate the incoming events to fit within
-	// the new range, we will do that in the xpadneo_event() hook.
-
-	// We remove the ABS_RZ event if param_combined_z_axis is enabled
 	if (param_combined_z_axis) {
+		// furthermore, we need to translate the incoming events to fit within
+		// the new range, we will do that in the xpadneo_event() hook.
+		input_set_abs_params(xdata->idev, ABS_Z, -1024, 1023, 3, 63);
+		// We remove the ABS_RZ event if param_combined_z_axis is enabled
 		__clear_bit(ABS_RZ, xdata->idev->absbit);
 	}
 
@@ -1089,36 +1075,21 @@ int xpadneo_event(struct hid_device *hdev, struct hid_field *field,
 		(usage->hid & HID_USAGE_PAGE), (usage->hid & HID_USAGE),
 		usage->code, value);
 
-
-	// we have to shift the range of the analogues sticks (ABS_X/Y/RX/RY)
-	// as already explained in xpadneo_input_configured() above
-	// furthermore we need to combine ABS_Z and ABS_RZ if param_combined_z_axis
-	// is set
-
 	if (usg_type == EV_ABS) {
-		if (usg_code == ABS_X || usg_code == ABS_Y
-				|| usg_code == ABS_RX || usg_code == ABS_RY) {
-			hid_dbg_lvl(DBG_LVL_ALL, hdev, "shifted axis %02x, old value: %i, new value: %i\n", usg_code, value, value - 32768);
-			input_report_abs(idev, usg_code, value - 32768);
-			goto sync_and_stop_processing;
-		}
-
+		/* We need to combine ABS_Z and ABS_RZ if param_combined_z_axis
+		 * is set */
 		if (param_combined_z_axis) {
 			if (usg_code == ABS_Z || usg_code == ABS_RZ) {
 				if (usg_code == ABS_Z)
 					xdata->last_abs_z = value;
 				if (usg_code == ABS_RZ)
 					xdata->last_abs_rz = value;
-
 				input_report_abs(idev, ABS_Z, 0 - xdata->last_abs_z + xdata->last_abs_rz);
 				goto sync_and_stop_processing;
 			}
 		}
 	}
 
-
-
-
 	/* TODO:
 	 * This is a workaround for the wrong report (Windows report but
 	 * Linux descriptor). We would prefer to fixup the descriptor, but we
